Home: Perl Programming Help: Advanced:
install latest Perl on Solaris 10



zatlas1
User

Sep 13, 2018, 9:53 AM


Views: 640
install latest Perl on Solaris 10

We are interested in installing the latest possible Perl version on our Solaris 10 servers. Does anybody have any recent experience? I would like to know which latest stable Perl version would work on Solaris 10 and what are any known caveats.

Thank you
ZA


FishMonger
Veteran / Moderator

Sep 13, 2018, 11:14 AM


Views: 639
Re: [zatlas1] install latest Perl on Solaris 10

It's been about 15 years since I used Solaris, at that time I was using Solaris 8, so I can't say if the most recent versions of perl will work on your system, but perl 5.10 should be fine.

This perldoc page might be helpful: https://perldoc.perl.org/perlsolaris.html


FishMonger
Veteran / Moderator

Sep 13, 2018, 11:36 AM


Views: 637
Re: [zatlas1] install latest Perl on Solaris 10

I would suggest installing perlbrew https://perlbrew.pl/ which will give you the ability to easily install multiple versions. You can start by installing 5.10 then start moving up the version chain until you run into problems.


zatlas1
User

Sep 13, 2018, 1:50 PM


Views: 635
Re: [FishMonger] install latest Perl on Solaris 10

Thank you all for responding.
We have 5.10.0 installed and we have some means for swamping between Perl versions. 5.10 is an unsupported version for a decade now and I really want some current version.
I will try to build to 5.28.0 in parallel to the 5.10.0 and see how it goes. If there are any issues I'll fall back to 5.26 and if that does not work I may give up altogether.
I'll report here if it worked.
ZA


FishMonger
Veteran / Moderator

Sep 13, 2018, 2:09 PM


Views: 632
Re: [zatlas1] install latest Perl on Solaris 10

Is Solaris 10 still being supported? I thought is was already at end of life.

Testing the installs under perlbrew would be a safer way to find out which versions work and which don't.